summaryrefslogtreecommitdiffstats
path: root/multimedia/google-earth/google-earth.SlackBuild
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-01-25 00:17:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-01-25 07:25:19 +0700
commitc55e3264829c4802342a6568e86bc1a6235a5f66 (patch)
tree61b372f36356c11ad77d61f561249b52f3e9f4b6 /multimedia/google-earth/google-earth.SlackBuild
parenta43da7bf88a58d4016991347691e8afc71d72dec (diff)
downloadslackbuilds-c55e3264829c4802342a6568e86bc1a6235a5f66.tar.gz
slackbuilds-c55e3264829c4802342a6568e86bc1a6235a5f66.tar.xz
multimedia/google-earth: New maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia/google-earth/google-earth.SlackBuild')
-rw-r--r--multimedia/google-earth/google-earth.SlackBuild13
1 files changed, 7 insertions, 6 deletions
diff --git a/multimedia/google-earth/google-earth.SlackBuild b/multimedia/google-earth/google-earth.SlackBuild
index 04046bc88c..2a475aab97 100644
--- a/multimedia/google-earth/google-earth.SlackBuild
+++ b/multimedia/google-earth/google-earth.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for google-earth
# Copyright 2007-2013 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,7 +30,7 @@
# and to Daniel de Kok and Alan_Hicks for their comments.
PRGNAM=google-earth
-VERSION="7.1.4.1529"
+VERSION=${VERSION:-7.1.4.1529}
ARCH=i386 # Since this is the arch google dictates
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,7 +41,7 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
# No flags/configure needed as it is just a binary repackaging.
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -51,10 +52,10 @@ chown -R root:root .
# Fix Google braindeadness (and mine)
find . -type d -exec chmod 0755 {} \;
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Sadly (by lack of politer word), Google has some inconsistent permissions
# for normal files; this should deal with them rather nicely.